﻿using System.Web.Optimization;

namespace SPSClientDemoMVC
{
    public class BundleConfig
    {
        // For more information on bundling, visit http://go.microsoft.com/fwlink/?LinkId=301862
        public static void RegisterBundles(BundleCollection bundles)
        {
            // Use the development version of Modernizr to develop with and learn from. Then, when you're
            // ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
            bundles.Add(new ScriptBundle("~/bundles/modernizr")
                            .Include("~/Scripts/modernizr-*", new CssRewriteUrlTransform()));
            
            // Site style and Materialize
            bundles.Add(new StyleBundle("~/bundles/style")
                            .Include("~/Content/style/site.css", new CssRewriteUrlTransform())
                            .Include("~/Content/style/materialize/css/materialize.css", new CssRewriteUrlTransform()));
            bundles.Add(new ScriptBundle("~/bundles/materialize.js")
                            .Include("~/Content/style/materialize/js/materialize.min.js", new CssRewriteUrlTransform()));
            
            // Set EnableOptimizations to false for debugging. For more information,
            // visit http://go.microsoft.com/fwlink/?LinkId=301862
            BundleTable.EnableOptimizations = false;
        }
    }
}
