﻿using System.Text;
using System.Web.Mvc;
using System.Web.Security;
using Newtonsoft.Json;
using SPS.Client.Api.Extensions;
using SPS.Core.Api.Frame.NemID;

namespace SPSClientDemoMVC.Controllers
{
    public class SecureAreaController : Controller
    {
        [Authorize]
        public ActionResult ShowResult()
        {
            ViewBag.Maintitle = "Result";
            var res = Session["NemIDResult"] as NemIDFlowResult;
            if (res == null)
            {
                FormsAuthentication.SignOut();
                return RedirectToAction("Logon", "Nemid");
            }
            ViewBag.Json = JsonConvert.SerializeObject(res, Formatting.Indented);
            return View();
        }
    }
}